View Issue Details

IDProjectCategoryView StatusLast Update
00303012.x IDE BugsGeneralPublic2019-01-30 17:20
ReporterDanAssigned ToRussell Kay 
PriorityMediumSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Platform-OSmacOSOS Version
Product Version2.2.1 
Target Version2.2.2Fixed in Version2.2.2 
Summary0030301: General: [Mac IDE] Startup check for Mono version still compares against 4.8.0.520 for one of the checks
DescriptionLooking at the log files, we can see when GMS2 lists out the first mono version check that 2.2.1 is sill using the old Mono version number to check against. Accordingly, this now fails for the vast majority of users. This check is seemingly when determining if a new IDE update is available or not.

Expected: The correct version of Mono is 5.10.1.57, so the example log below should have been a pass for all values.

[12:33:45:732(3046)] Latest revision 2.2.1.375 found
[12:33:45:732(3046)] We do NOT need to update
[12:33:49:472(3046)] LoadingState: Preferences
[12:33:49:510(3046)] Creating temp directory /var/folders/vs/kv35qtp105v4fck13qv84dpc0000gn/GameMakerStudio2/GMS2TEMP
[12:33:49:550(3046)] LoadingState: CheckingRSS
[12:33:49:655(3046)] starting /Library/Frameworks/Mono.framework/Versions/Current/Commands/mono --version
[12:33:49:677(3046)] elapsed time 00:00:00.0215510s for command "/Library/Frameworks/Mono.framework/Versions/Current/Commands/mono" --version started at 12/08/2018 12:33:49
[12:33:49:678(3046)] Mono Version output is Mono JIT compiler version 5.10.1.57 (2017-12/ea8a24b1bbf Tue Apr 24 14:53:01 EDT 2018)
Copyright (C) 2002-2014 Novell, Inc, Xamarin Inc and Contributors. www.mono-project.com
    TLS: normal
    SIGSEGV: altstack
    Notification: kqueue
    Architecture: amd64
    Disabled: none
    Misc: softdebug
    Interpreter: yes
    LLVM: yes(3.6.0svn-mono-master/8b1520c8aae)
    GC: sgen (concurrent by default)

[12:33:49:678(3046)] Mono Version number is 5.10.1.57, comparing to 4.8.0.520
[12:33:49:678(3046)] Major 4 == 5 answer is False
[12:33:49:678(3046)] Minor 8 == 10 answer is False
[12:33:49:678(3046)] Build 0 == 1 answer is False
Steps To Reproduce1. Install GMS2 on a Mac and start it up.
2. Check the log.
Repro: 100% (but we only log this information in certain circumstances, so you may not get confirmation).
TagsIDE
2.x IDE Found In2.2.1.375
2.x Runtime Found In2.2.1.287
2.x IDE Verified In2.2.2.390
2.x Runtime Verified In2.2.1.291

Relationships

related to 0030302 ClosedRussell Kay General: [Mac IDE] Startup check for Mono version incorrectly fails the correct version number 

Activities

Russell Kay

2018-12-14 12:20

Manager   ~0062244

Fixed in github

Matthew McInnes

2019-01-30 17:20

Adminstrator   ~0062598

Closing. Verified as fixed in:

Beta IDE v2.2.2.390 Runtime v2.2.1.291